      subroutine film(h,sink,temp,jstep,jinc,time,noel,npt,coords,
     1     jltyp,field,nfield,sname,jusernode,area)
c
      include 'aba_param.inc'
c
      dimension coords(3),time(2),field(nfield),h(2)
      character*80 sname
c
      h(1) = 0.d0
      h(2) = 0.d0
      sink = 0.d0
      if (jltyp .eq. 0) then
         h0 = 10.d0
         h1 = 0.02d0
         h(1) = h0 + h1 * temp
         h(2) = h1
         sink = 100.0d0 * (1.d0 + time(1) / 3600.d0)
      end if
c
      return
      end



